﻿using ProjectGasolineTanker.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGasolineTanker.Entities
{

    public class EntityGasolineTanker : EntityTruck
    {

        public Color Add_Color { get; private set; }
        public bool IsTank { get; private set; }
        public bool IsWheel { get; private set; }


        public EntityGasolineTanker(int speed, double weight, Color bodyColor, Color additionalColor, bool tank, bool wheel) : base(speed, weight, bodyColor)
        {
            Add_Color = additionalColor;
            IsTank = tank;
            IsWheel = wheel;
        }

        public void ChangeAdditionalColor(Color additionalColor)
        {
            Add_Color = additionalColor;
        }
    }
}

