﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.Serialization;

namespace ProjectGasolineTanker.Exceptions
{
    [Serializable]
    internal class TruckNotFoundException : ApplicationException
    {
        public TruckNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public TruckNotFoundException() : base() { }
        public TruckNotFoundException(string message) : base(message) { }
        public TruckNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected TruckNotFoundException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}
