﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using ProjectGasolineTanker.Drawings;
using ProjectGasolineTanker.Entities;

namespace ProjectGasolineTanker.MovementStratg
{

    public interface IMoveableObject
    {

        ObjectParameters? GetObjectPosition { get; }

        int GetStep { get; }
   
        bool CheckCanMove(DirectionType direction);

        void MoveObject(DirectionType direction);


    }
}
